Subject: Re: bug#18367: 24.4.50; [PATCH] Text property `font-lock-ignore', to protect from font-lock

From: Wolfgang Jenkner <[email-masked]>
Date: Mon, 01 Sep 2014 20:45:58 +0200

On Sun, Aug 31 2014, Drew Adams wrote:

> (elisp) `Other Font Lock Variables' says this about it:
>
>  Variable: font-lock-extra-managed-props
>  This variable specifies additional properties (other than
>  `font-lock-face') that are being managed by Font Lock mode.  It is
>  used by `font-lock-default-unfontify-region', which normally only
>  manages the `font-lock-face' property.  If you want Font Lock to
>  manage other properties as well, you must specify them in a
>  FACESPEC in `font-lock-keywords' as well as add them to this list.
>  *Note Search-based Fontification::.

I think `font-lock-face' is a typo here (it should read `face').

It is clear from looking a the code (or doing some experiments) that
font-lock-default-unfontify-region doesn't remove the `font-lock-face'
property.

Wolfgang